#pragma once
#include "../gen/Generated.h"

namespace Generated
{
    bool IsValid(const AssetHandle& h);
    bool IsValid(const ModelHandle& h);
    bool IsValid(const TextureHandle& h);

    bool operator==(const AssetHandle& lhs, const AssetHandle& rhs);
    bool operator==(const ModelHandle& lhs, const ModelHandle& rhs);

    PuzPos operator+=(PuzPos lhs, const PuzPos& rhs);
    PuzPos operator+(PuzPos lhs, const PuzPos& rhs);
} // namespace Generated
